## org.hibernate.sql
Class InsertSelect

    java.lang.Object
      org.hibernate.sql.InsertSelect

    public class InsertSelect

extends Object

Implementation of InsertSelect.

Constructor Summary
`InsertSelect(Dialect dialect)`

Method Summary
`InsertSelect` `addColumn(String columnName)`
`InsertSelect` `addColumns(String[] columnNames)`
`InsertSelect` `setComment(String comment)`
`InsertSelect` `setSelect(Select select)`
`InsertSelect` `setTableName(String tableName)`
`String` `toStatementString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertSelect

    public InsertSelect(Dialect dialect)

Method Detail

### setTableName

    public InsertSelect setTableName(String tableName)

### setComment

    public InsertSelect setComment(String comment)

### addColumn

    public InsertSelect addColumn(String columnName)

### addColumns

    public InsertSelect addColumns(String[] columnNames)

### setSelect

    public InsertSelect setSelect(Select select)

### toStatementString

    public String toStatementString()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.